/* BLOCK: News Listing */
.block-news-listing .ajax-filters {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    padding-bottom: 4.6875rem;
}

.block-news-listing .ajax-filters input {
    display: none;
}

.block-news-listing .ajax-filters label {
    padding: 0.9375rem 1.25rem;
    background-color: var(--c-bg-light-tint-1);
    color:var(--c-text-dark);
    border-radius: 0.75rem;
    font-size: var(--font-14-11);
    font-weight: 600;
}

.block-news-listing .ajax-filters input:checked + label {
    background-color: var(--c-primary);
    color:var(--c-text-light);
}

.block-news-listing .items-wrapper {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1.3125rem;
    grid-auto-flow: dense;
}

.block-news-listing > :nth-child(4n) {
    grid-column: 1 / -1;
    width: 100%;
    border: none;
    height: 1px;
    background-color: rgb(from var(--c-text-dark) r g b / 0.15);
    margin: 1.8125rem 0;
}

.block-news-listing .divider {
    grid-column: 1 / -1;
    width: 100%;
    border: none;
    height: 1px;
    background-color: rgb(from var(--c-text-dark) r g b / 0.15);
    margin: 1.8125rem 0;
}

.block-news-listing .cta-buttons {
    margin-top: 2.875rem;
    justify-content: center;
}

.block-news-listing .post__title {
    font-size: var(--font-21-18);
}



.block-news-listing .ajax-filters {
    overflow-x: auto;
    padding-bottom: 10px;
    margin-bottom: 40px;
}

.block-news-listing .ajax-filters label {
    overflow: hidden;
    width: fit-content;
    white-space: nowrap;
    display: block;
    flex: 0 0 auto;
    white-space: nowrap;
}


@media screen and (width <= 620px) {
    .block-news-listing .divider {
        display: none;
    }
    .block-news-listing .items-wrapper {
        grid-template-columns: 1fr;
        gap:0;
    }
    .block-news-listing .items-wrapper .post {
        padding-bottom: 2.5rem;
        margin-bottom:2.5rem;
        border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    }
    .block-news-listing .cta-buttons {
        margin-top: 0.625rem;
    }
    .block-news-listing .ajax-filters {
        margin-bottom: 0;
        overflow-x: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
        margin-inline: calc(var(--pad) * -1);
        padding-inline: var(--pad);
        position: relative;
        padding-bottom: 3.125rem;
        gap: 0.375rem;
    }
    .block-news-listing .ajax-filters label {
        white-space: nowrap;
        border-radius: 0.625rem;
    }
    .block-news-listing .post .post__body {
        max-width: 87.14%;
    }
}


